Package de.willuhn.jameica.hbci.passports.rdh.keyformat

# Class AbstractKeyFormat

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat

All Implemented Interfaces:
  `KeyFormat`, `Comparable<KeyFormat>`

Direct Known Subclasses:
  `AbstractSizRdhFormat`, `HBCI4JavaFormat`

public abstract class AbstractKeyFormat extends Object implements KeyFormat
Abstrakte Basis-Implementierung aller Schluesselformate.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`FEATURE_CREATE, FEATURE_IMPORT`

## Constructor Summary

Constructors
Constructor
Description
`AbstractKeyFormat()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(KeyFormat o)`
`int`
`getOrder()`
Liefert einen numerischen Wert fuer die Sortierung.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`createKey, getName, hasFeature, importKey, load`

## Constructor Details

### AbstractKeyFormat

public AbstractKeyFormat()

## Method Details

### compareTo

public int compareTo(KeyFormat o)

Specified by:
  `compareTo` in interface `Comparable<KeyFormat>`
See Also:
  - `Comparable.compareTo(java.lang.Object)`

### getOrder

public int getOrder()
Description copied from interface: `KeyFormat`
Liefert einen numerischen Wert fuer die Sortierung.

Specified by:
  `getOrder` in interface `KeyFormat`
Returns:
  numerischer Wert fuer die Sortierung. Je hoeher der Wert ist, desto weiter hinten ist er einsortiert.
See Also:
  - `KeyFormat.getOrder()`